"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.builtins = void 0;
const zod_1 = require("zod");
function builtins() {
    // TODO(hyf0): need to use `strictObject` mode when developer have time to finish the whole schema
    return zod_1.z.object({
        postcss: zod_1.z
            .strictObject({
            pxtorem: zod_1.z
                .strictObject({
                rootValue: zod_1.z.number().optional(),
                unitPrecision: zod_1.z.number().optional(),
                selectorBlackList: zod_1.z.string().array().optional(),
                propList: zod_1.z.string().array().optional(),
                replace: zod_1.z.boolean().optional(),
                mediaQuery: zod_1.z.boolean().optional(),
                minPixelValue: zod_1.z.number().optional()
            })
                .optional()
        })
            .refine(() => {
            console.warn("warn: `builtins.postcss` is going to be deprecated and will be removed at 0.3. See details at https://github.com/web-infra-dev/rspack/issues/3452");
            return true;
        })
            .optional()
    });
}
exports.builtins = builtins;
//# sourceMappingURL=builtins.js.map