import { z } from "zod";
export declare function configSchema(): z.ZodObject<{
    target: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodLiteral<false>, z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["web", "webworker", "es3", "es5", "es2015", "es2016", "es2017", "es2018", "es2019", "es2020", "es2021", "es2022", "browserslist"]>, z.ZodLiteral<"node">]>, z.ZodLiteral<"async-node">]>, z.ZodType<`node${number}`, z.ZodTypeDef, `node${number}`>]>, z.ZodType<`async-node${number}`, z.ZodTypeDef, `async-node${number}`>]>, z.ZodType<`node${number}.${number}`, z.ZodTypeDef, `node${number}.${number}`>]>, z.ZodType<`async-node${number}.${number}`, z.ZodTypeDef, `async-node${number}.${number}`>]>, z.ZodLiteral<"electron-main">]>, z.ZodType<`electron${number}-main`, z.ZodTypeDef, `electron${number}-main`>]>, z.ZodType<`electron${number}.${number}-main`, z.ZodTypeDef, `electron${number}.${number}-main`>]>, z.ZodLiteral<"electron-renderer">]>, z.ZodType<`electron${number}-renderer`, z.ZodTypeDef, `electron${number}-renderer`>]>, z.ZodType<`electron${number}.${number}-renderer`, z.ZodTypeDef, `electron${number}.${number}-renderer`>]>, z.ZodLiteral<"electron-preload">]>, z.ZodType<`electron${number}-preload`, z.ZodTypeDef, `electron${number}-preload`>]>, z.ZodType<`electron${number}.${number}-preload`, z.ZodTypeDef, `electron${number}.${number}-preload`>]>]>, z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["web", "webworker", "es3", "es5", "es2015", "es2016", "es2017", "es2018", "es2019", "es2020", "es2021", "es2022", "browserslist"]>, z.ZodLiteral<"node">]>, z.ZodLiteral<"async-node">]>, z.ZodType<`node${number}`, z.ZodTypeDef, `node${number}`>]>, z.ZodType<`async-node${number}`, z.ZodTypeDef, `async-node${number}`>]>, z.ZodType<`node${number}.${number}`, z.ZodTypeDef, `node${number}.${number}`>]>, z.ZodType<`async-node${number}.${number}`, z.ZodTypeDef, `async-node${number}.${number}`>]>, z.ZodLiteral<"electron-main">]>, z.ZodType<`electron${number}-main`, z.ZodTypeDef, `electron${number}-main`>]>, z.ZodType<`electron${number}.${number}-main`, z.ZodTypeDef, `electron${number}.${number}-main`>]>, z.ZodLiteral<"electron-renderer">]>, z.ZodType<`electron${number}-renderer`, z.ZodTypeDef, `electron${number}-renderer`>]>, z.ZodType<`electron${number}.${number}-renderer`, z.ZodTypeDef, `electron${number}.${number}-renderer`>]>, z.ZodLiteral<"electron-preload">]>, z.ZodType<`electron${number}-preload`, z.ZodTypeDef, `electron${number}-preload`>]>, z.ZodType<`electron${number}.${number}-preload`, z.ZodTypeDef, `electron${number}.${number}-preload`>]>, "many">]>>;
    mode: z.ZodOptional<z.ZodEnum<["development", "production", "none"]>>;
    entry: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        import: z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>;
        runtime: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodString]>>;
        chunkLoading: z.ZodUnion<[z.ZodLiteral<false>, z.ZodOptional<z.ZodUnion<[z.ZodEnum<["jsonp", "require", "async-node", "import", "import-scripts"]>, z.ZodString]>>]>;
        wasmLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["fetch-streaming", "fetch", "async-node"]>]>>;
    }, "strict", z.ZodTypeAny, {
        import: (string | string[]) & (string | string[] | undefined);
        runtime?: string | false | undefined;
        chunkLoading?: string | false | undefined;
        wasmLoading?: false | "async-node" | "fetch-streaming" | "fetch" | undefined;
    }, {
        import: (string | string[]) & (string | string[] | undefined);
        runtime?: string | false | undefined;
        chunkLoading?: string | false | undefined;
        wasmLoading?: false | "async-node" | "fetch-streaming" | "fetch" | undefined;
    }>]>>]>>;
    experiments: z.ZodOptional<z.ZodObject<{
        asyncWebAssembly: z.ZodOptional<z.ZodBoolean>;
        incrementalRebuild: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodObject<{
            make: z.ZodOptional<z.ZodBoolean>;
            emitAsset: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        }, {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        }>]>>;
        lazyCompilation: z.ZodOptional<z.ZodBoolean>;
        outputModule: z.ZodOptional<z.ZodBoolean>;
        newSplitChunks: z.ZodOptional<z.ZodBoolean>;
        css: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        asyncWebAssembly?: boolean | undefined;
        incrementalRebuild?: boolean | {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        } | undefined;
        lazyCompilation?: boolean | undefined;
        outputModule?: boolean | undefined;
        newSplitChunks?: boolean | undefined;
        css?: boolean | undefined;
    }, {
        asyncWebAssembly?: boolean | undefined;
        incrementalRebuild?: boolean | {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        } | undefined;
        lazyCompilation?: boolean | undefined;
        outputModule?: boolean | undefined;
        newSplitChunks?: boolean | undefined;
        css?: boolean | undefined;
    }>>;
    externals: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodType<RegExp, z.ZodTypeDef, RegExp>, z.ZodString]>, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>, z.ZodAny]>, z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodType<RegExp, z.ZodTypeDef, RegExp>, z.ZodString]>, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>, z.ZodAny]>, "many">]>>;
    externalsType: z.ZodOptional<z.ZodEnum<["var", "module", "assign", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system", "promise", "import", "script", "node-commonjs"]>>;
    externalsPresets: z.ZodOptional<z.ZodObject<{
        web: z.ZodOptional<z.ZodBoolean>;
        node: z.ZodOptional<z.ZodBoolean>;
        electron: z.ZodOptional<z.ZodBoolean>;
        electronMain: z.ZodOptional<z.ZodBoolean>;
        electronPreload: z.ZodOptional<z.ZodBoolean>;
        electronRenderer: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        web?: boolean | undefined;
        node?: boolean | undefined;
        electron?: boolean | undefined;
        electronMain?: boolean | undefined;
        electronPreload?: boolean | undefined;
        electronRenderer?: boolean | undefined;
    }, {
        web?: boolean | undefined;
        node?: boolean | undefined;
        electron?: boolean | undefined;
        electronMain?: boolean | undefined;
        electronPreload?: boolean | undefined;
        electronRenderer?: boolean | undefined;
    }>>;
    infrastructureLogging: z.ZodOptional<z.ZodObject<{
        appendOnly: z.ZodOptional<z.ZodBoolean>;
        colors: z.ZodOptional<z.ZodBoolean>;
        console: z.ZodOptional<z.ZodBoolean>;
        debug: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodAny]>>;
        level: z.ZodOptional<z.ZodEnum<["none", "error", "warn", "info", "log", "verbose"]>>;
        stream: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>]>>;
    }, "strict", z.ZodTypeAny, {
        appendOnly?: boolean | undefined;
        colors?: boolean | undefined;
        console?: boolean | undefined;
        debug?: any;
        level?: "error" | "none" | "warn" | "info" | "log" | "verbose" | undefined;
        stream?: boolean | {} | undefined;
    }, {
        appendOnly?: boolean | undefined;
        colors?: boolean | undefined;
        console?: boolean | undefined;
        debug?: any;
        level?: "error" | "none" | "warn" | "info" | "log" | "verbose" | undefined;
        stream?: boolean | {} | undefined;
    }>>;
    cache: z.ZodOptional<z.ZodBoolean>;
    context: z.ZodOptional<z.ZodString>;
    dependencies: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    devtool: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["cheap-source-map", "cheap-module-source-map", "source-map", "inline-cheap-source-map", "inline-cheap-module-source-map", "inline-source-map", "inline-nosources-cheap-module-source-map", "inline-nosources-source-map", "nosources-cheap-source-map", "nosources-cheap-module-source-map", "nosources-source-map", "hidden-nosources-cheap-source-map", "hidden-nosources-cheap-module-source-map", "hidden-nosources-source-map", "hidden-cheap-source-map", "hidden-cheap-module-source-map", "hidden-source-map", "eval-cheap-source-map", "eval-cheap-module-source-map", "eval-source-map", "eval-nosources-cheap-source-map", "eval-nosources-cheap-module-source-map", "eval-nosources-source-map"]>]>>;
    node: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
        __dirname: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodEnum<["warn-mock", "mock", "eval-only"]>]>>;
        __filename: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodEnum<["warn-mock", "mock", "eval-only"]>]>>;
        global: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodEnum<["warn"]>]>>;
    }, "strict", z.ZodTypeAny, {
        __dirname?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        __filename?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        global?: boolean | "warn" | undefined;
    }, {
        __dirname?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        __filename?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        global?: boolean | "warn" | undefined;
    }>]>>;
    ignoreWarnings: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodType<RegExp, z.ZodTypeDef, RegExp>, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>, "many">>;
    watchOptions: z.ZodOptional<z.ZodObject<{
        aggregateTimeout: z.ZodOptional<z.ZodNumber>;
        followSymlinks: z.ZodOptional<z.ZodBoolean>;
        ignored: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>, z.ZodString]>>;
        poll: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodBoolean]>>;
        stdin: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        aggregateTimeout?: number | undefined;
        followSymlinks?: boolean | undefined;
        ignored?: string | RegExp | string[] | undefined;
        poll?: number | boolean | undefined;
        stdin?: boolean | undefined;
    }, {
        aggregateTimeout?: number | undefined;
        followSymlinks?: boolean | undefined;
        ignored?: string | RegExp | string[] | undefined;
        poll?: number | boolean | undefined;
        stdin?: boolean | undefined;
    }>>;
    watch: z.ZodOptional<z.ZodBoolean>;
    stats: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["none", "errors-only", "errors-warnings", "normal", "verbose"]>, z.ZodBoolean]>, z.ZodObject<{
        all: z.ZodOptional<z.ZodBoolean>;
        assets: z.ZodOptional<z.ZodBoolean>;
        chunkGroups: z.ZodOptional<z.ZodBoolean>;
        chunks: z.ZodOptional<z.ZodBoolean>;
        colors: z.ZodOptional<z.ZodBoolean>;
        entrypoints: z.ZodOptional<z.ZodBoolean>;
        errors: z.ZodOptional<z.ZodBoolean>;
        errorsCount: z.ZodOptional<z.ZodBoolean>;
        hash: z.ZodOptional<z.ZodBoolean>;
        modules: z.ZodOptional<z.ZodBoolean>;
        preset: z.ZodOptional<z.ZodEnum<["normal", "none", "verbose", "errors-only", "errors-warnings"]>>;
        publicPath: z.ZodOptional<z.ZodBoolean>;
        reasons: z.ZodOptional<z.ZodBoolean>;
        warnings: z.ZodOptional<z.ZodBoolean>;
        warningsCount: z.ZodOptional<z.ZodBoolean>;
        outputPath: z.ZodOptional<z.ZodBoolean>;
        chunkModules: z.ZodOptional<z.ZodBoolean>;
        chunkRelations: z.ZodOptional<z.ZodBoolean>;
        timings: z.ZodOptional<z.ZodBoolean>;
        builtAt: z.ZodOptional<z.ZodBoolean>;
        nestedModules: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        all?: boolean | undefined;
        assets?: boolean | undefined;
        chunkGroups?: boolean | undefined;
        chunks?: boolean | undefined;
        colors?: boolean | undefined;
        entrypoints?: boolean | undefined;
        errors?: boolean | undefined;
        errorsCount?: boolean | undefined;
        hash?: boolean | undefined;
        modules?: boolean | undefined;
        preset?: "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | undefined;
        publicPath?: boolean | undefined;
        reasons?: boolean | undefined;
        warnings?: boolean | undefined;
        warningsCount?: boolean | undefined;
        outputPath?: boolean | undefined;
        chunkModules?: boolean | undefined;
        chunkRelations?: boolean | undefined;
        timings?: boolean | undefined;
        builtAt?: boolean | undefined;
        nestedModules?: boolean | undefined;
    }, {
        all?: boolean | undefined;
        assets?: boolean | undefined;
        chunkGroups?: boolean | undefined;
        chunks?: boolean | undefined;
        colors?: boolean | undefined;
        entrypoints?: boolean | undefined;
        errors?: boolean | undefined;
        errorsCount?: boolean | undefined;
        hash?: boolean | undefined;
        modules?: boolean | undefined;
        preset?: "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | undefined;
        publicPath?: boolean | undefined;
        reasons?: boolean | undefined;
        warnings?: boolean | undefined;
        warningsCount?: boolean | undefined;
        outputPath?: boolean | undefined;
        chunkModules?: boolean | undefined;
        chunkRelations?: boolean | undefined;
        timings?: boolean | undefined;
        builtAt?: boolean | undefined;
        nestedModules?: boolean | undefined;
    }>]>>;
    snapshot: z.ZodOptional<z.ZodObject<{
        module: z.ZodOptional<z.ZodObject<{
            hash: z.ZodOptional<z.ZodBoolean>;
            timestamp: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        }, {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        }>>;
        resolve: z.ZodOptional<z.ZodObject<{
            hash: z.ZodOptional<z.ZodBoolean>;
            timestamp: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        }, {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        }>>;
    }, "strict", z.ZodTypeAny, {
        module?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
        resolve?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
    }, {
        module?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
        resolve?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
    }>>;
    optimization: z.ZodOptional<z.ZodObject<{
        moduleIds: z.ZodOptional<z.ZodEnum<["named", "deterministic"]>>;
        minimize: z.ZodOptional<z.ZodBoolean>;
        minimizer: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodLiteral<"...">, z.ZodObject<{
            apply: z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>;
        }, "strip", z.ZodTypeAny, {
            apply: (...args: unknown[]) => unknown;
        }, {
            apply: (...args: unknown[]) => unknown;
        }>]>, "many">>;
        splitChunks: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
            chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
            minChunks: z.ZodOptional<z.ZodNumber>;
            name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
            minSize: z.ZodOptional<z.ZodNumber>;
            maxSize: z.ZodOptional<z.ZodNumber>;
            maxAsyncSize: z.ZodOptional<z.ZodNumber>;
            maxInitialSize: z.ZodOptional<z.ZodNumber>;
            cacheGroups: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodLiteral<false>, z.ZodObject<{
                chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
                minChunks: z.ZodOptional<z.ZodNumber>;
                name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<false>]>>;
                minSize: z.ZodOptional<z.ZodNumber>;
                maxSize: z.ZodOptional<z.ZodNumber>;
                maxAsyncSize: z.ZodOptional<z.ZodNumber>;
                maxInitialSize: z.ZodOptional<z.ZodNumber>;
                test: z.ZodOptional<z.ZodType<RegExp, z.ZodTypeDef, RegExp>>;
                priority: z.ZodOptional<z.ZodNumber>;
                enforce: z.ZodOptional<z.ZodBoolean>;
                reuseExistingChunk: z.ZodOptional<z.ZodBoolean>;
                type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
            }, "strict", z.ZodTypeAny, {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }, {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }>]>>>;
            maxAsyncRequests: z.ZodOptional<z.ZodNumber>;
            maxInitialRequests: z.ZodOptional<z.ZodNumber>;
            fallbackCacheGroup: z.ZodOptional<z.ZodObject<{
                chunks: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["initial", "async", "all"]>, z.ZodType<RegExp, z.ZodTypeDef, RegExp>]>>;
                minSize: z.ZodOptional<z.ZodNumber>;
                maxSize: z.ZodOptional<z.ZodNumber>;
                maxAsyncSize: z.ZodOptional<z.ZodNumber>;
                maxInitialSize: z.ZodOptional<z.ZodNumber>;
            }, "strict", z.ZodTypeAny, {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            }, {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            }>>;
        }, "strip", z.ZodTypeAny, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        }, {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        }>]>>;
        runtimeChunk: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["single", "multiple"]>, z.ZodBoolean]>, z.ZodObject<{
            name: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnion<[z.ZodString, z.ZodUndefined]>>]>>;
        }, "strict", z.ZodTypeAny, {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        }, {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        }>]>>;
        removeAvailableModules: z.ZodOptional<z.ZodBoolean>;
        removeEmptyChunks: z.ZodOptional<z.ZodBoolean>;
        realContentHash: z.ZodOptional<z.ZodBoolean>;
        sideEffects: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["flag"]>, z.ZodBoolean]>>;
    }, "strict", z.ZodTypeAny, {
        moduleIds?: "named" | "deterministic" | undefined;
        minimize?: boolean | undefined;
        minimizer?: ("..." | {
            apply: (...args: unknown[]) => unknown;
        })[] | undefined;
        splitChunks?: false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        } | undefined;
        runtimeChunk?: boolean | "single" | "multiple" | {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        } | undefined;
        removeAvailableModules?: boolean | undefined;
        removeEmptyChunks?: boolean | undefined;
        realContentHash?: boolean | undefined;
        sideEffects?: boolean | "flag" | undefined;
    }, {
        moduleIds?: "named" | "deterministic" | undefined;
        minimize?: boolean | undefined;
        minimizer?: ("..." | {
            apply: (...args: unknown[]) => unknown;
        })[] | undefined;
        splitChunks?: false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        } | undefined;
        runtimeChunk?: boolean | "single" | "multiple" | {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        } | undefined;
        removeAvailableModules?: boolean | undefined;
        removeEmptyChunks?: boolean | undefined;
        realContentHash?: boolean | undefined;
        sideEffects?: boolean | "flag" | undefined;
    }>>;
    resolve: z.ZodOptional<z.ZodType<{
        alias?: Record<string, string | false | (string | false)[]> | undefined;
        browserField?: boolean | undefined;
        conditionNames?: string[] | undefined;
        extensions?: string[] | undefined;
        fallback?: Record<string, string | false | (string | false)[]> | undefined;
        mainFields?: string[] | undefined;
        mainFiles?: string[] | undefined;
        modules?: string[] | undefined;
        preferRelative?: boolean | undefined;
        tsConfigPath?: string | undefined;
        fullySpecified?: boolean | undefined;
        exportsFields?: string[] | undefined;
        extensionAlias?: Record<string, string | string[]> | undefined;
    } & {
        byDependency?: Record<string, {
            alias?: Record<string, string | false | (string | false)[]> | undefined;
            browserField?: boolean | undefined;
            conditionNames?: string[] | undefined;
            extensions?: string[] | undefined;
            fallback?: Record<string, string | false | (string | false)[]> | undefined;
            mainFields?: string[] | undefined;
            mainFiles?: string[] | undefined;
            modules?: string[] | undefined;
            preferRelative?: boolean | undefined;
            tsConfigPath?: string | undefined;
            fullySpecified?: boolean | undefined;
            exportsFields?: string[] | undefined;
            extensionAlias?: Record<string, string | string[]> | undefined;
        } & any> | undefined;
    }, z.ZodTypeDef, {
        alias?: Record<string, string | false | (string | false)[]> | undefined;
        browserField?: boolean | undefined;
        conditionNames?: string[] | undefined;
        extensions?: string[] | undefined;
        fallback?: Record<string, string | false | (string | false)[]> | undefined;
        mainFields?: string[] | undefined;
        mainFiles?: string[] | undefined;
        modules?: string[] | undefined;
        preferRelative?: boolean | undefined;
        tsConfigPath?: string | undefined;
        fullySpecified?: boolean | undefined;
        exportsFields?: string[] | undefined;
        extensionAlias?: Record<string, string | string[]> | undefined;
    } & {
        byDependency?: Record<string, {
            alias?: Record<string, string | false | (string | false)[]> | undefined;
            browserField?: boolean | undefined;
            conditionNames?: string[] | undefined;
            extensions?: string[] | undefined;
            fallback?: Record<string, string | false | (string | false)[]> | undefined;
            mainFields?: string[] | undefined;
            mainFiles?: string[] | undefined;
            modules?: string[] | undefined;
            preferRelative?: boolean | undefined;
            tsConfigPath?: string | undefined;
            fullySpecified?: boolean | undefined;
            exportsFields?: string[] | undefined;
            extensionAlias?: Record<string, string | string[]> | undefined;
        } & any> | undefined;
    }>>;
    plugins: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodFunction<z.ZodTuple<[z.ZodType<import("../../compiler").Compiler, z.ZodTypeDef, import("../../compiler").Compiler>], z.ZodUnknown>, z.ZodVoid>, z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        apply: z.ZodFunction<z.ZodTuple<[z.ZodType<import("../../compiler").Compiler, z.ZodTypeDef, import("../../compiler").Compiler>], z.ZodUnknown>, z.ZodVoid>;
    }, "strip", z.ZodTypeAny, {
        apply: (args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void;
        name?: string | undefined;
    }, {
        apply: (args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void;
        name?: string | undefined;
    }>]>, "many">>;
    name: z.ZodOptional<z.ZodString>;
    devServer: z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
    output: z.ZodOptional<z.ZodObject<{
        iife: z.ZodOptional<z.ZodBoolean>;
        clean: z.ZodOptional<z.ZodBoolean>;
        assetModuleFilename: z.ZodOptional<z.ZodString>;
        auxiliaryComment: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<{
            amd: z.ZodOptional<z.ZodString>;
            commonjs: z.ZodOptional<z.ZodString>;
            commonjs2: z.ZodOptional<z.ZodString>;
            root: z.ZodOptional<z.ZodString>;
        }, "strict", z.ZodTypeAny, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        }, {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        }>]>>;
        chunkFormat: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["array-push", "commonjs", "module"]>, z.ZodLiteral<false>]>>;
        chunkLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>]>>;
        enabledChunkLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodEnum<["jsonp", "import-scripts", "require", "async-node", "import"]>, z.ZodString]>, "many">>;
        chunkFilename: z.ZodOptional<z.ZodString>;
        cssChunkFilename: z.ZodOptional<z.ZodString>;
        cssFilename: z.ZodOptional<z.ZodString>;
        hotUpdateChunkFilename: z.ZodOptional<z.ZodString>;
        hotUpdateMainFilename: z.ZodOptional<z.ZodString>;
        webassemblyModuleFilename: z.ZodOptional<z.ZodString>;
        hashSalt: z.ZodOptional<z.ZodString>;
        filename: z.ZodOptional<z.ZodString>;
        sourceMapFilename: z.ZodOptional<z.ZodString>;
        importFunctionName: z.ZodOptional<z.ZodString>;
        publicPath: z.ZodOptional<z.ZodString>;
        uniqueName: z.ZodOptional<z.ZodString>;
        path: z.ZodOptional<z.ZodString>;
        crossOriginLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["anonymous", "use-credentials"]>]>>;
        enabledWasmLoadingTypes: z.ZodOptional<z.ZodArray<z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>, "many">>;
        wasmLoading: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<false>, z.ZodEnum<["...", "fetch-streaming", "fetch", "async-node"]>]>>;
        enabledLibraryTypes: z.ZodOptional<z.ZodUnion<[z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, z.ZodArray<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>, "many">]>>;
        globalObject: z.ZodOptional<z.ZodString>;
        libraryExport: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        libraryTarget: z.ZodOptional<z.ZodEnum<["...", "var", "module", "assign", "assign-properties", "this", "window", "self", "global", "commonjs", "commonjs2", "commonjs-module", "commonjs-static", "amd", "amd-require", "umd", "umd2", "jsonp", "system"]>>;
        hashFunction: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodFunction<z.ZodTuple<[], z.ZodUnknown>, z.ZodUnknown>]>>;
        module: z.ZodOptional<z.ZodAny>;
        strictModuleErrorHandling: z.ZodOptional<z.ZodAny>;
        umdNamedDefine: z.ZodOptional<z.ZodAny>;
        chunkLoadingGlobal: z.ZodOptional<z.ZodAny>;
        trustedTypes: z.ZodOptional<z.ZodAny>;
        hashDigest: z.ZodOptional<z.ZodAny>;
        hashDigestLength: z.ZodOptional<z.ZodAny>;
        library: z.ZodOptional<z.ZodAny>;
    }, "strict", z.ZodTypeAny, {
        iife?: boolean | undefined;
        clean?: boolean | undefined;
        assetModuleFilename?: string | undefined;
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
        chunkLoading?: string | false | undefined;
        enabledChunkLoadingTypes?: string[] | undefined;
        chunkFilename?: string | undefined;
        cssChunkFilename?: string | undefined;
        cssFilename?: string | undefined;
        hotUpdateChunkFilename?: string | undefined;
        hotUpdateMainFilename?: string | undefined;
        webassemblyModuleFilename?: string | undefined;
        hashSalt?: string | undefined;
        filename?: string | undefined;
        sourceMapFilename?: string | undefined;
        importFunctionName?: string | undefined;
        publicPath?: string | undefined;
        uniqueName?: string | undefined;
        path?: string | undefined;
        crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
        enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
        wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
        enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | ("..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties")[] | undefined;
        globalObject?: string | undefined;
        libraryExport?: string | string[] | undefined;
        libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | undefined;
        hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
        module?: any;
        strictModuleErrorHandling?: any;
        umdNamedDefine?: any;
        chunkLoadingGlobal?: any;
        trustedTypes?: any;
        hashDigest?: any;
        hashDigestLength?: any;
        library?: any;
    }, {
        iife?: boolean | undefined;
        clean?: boolean | undefined;
        assetModuleFilename?: string | undefined;
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
        chunkLoading?: string | false | undefined;
        enabledChunkLoadingTypes?: string[] | undefined;
        chunkFilename?: string | undefined;
        cssChunkFilename?: string | undefined;
        cssFilename?: string | undefined;
        hotUpdateChunkFilename?: string | undefined;
        hotUpdateMainFilename?: string | undefined;
        webassemblyModuleFilename?: string | undefined;
        hashSalt?: string | undefined;
        filename?: string | undefined;
        sourceMapFilename?: string | undefined;
        importFunctionName?: string | undefined;
        publicPath?: string | undefined;
        uniqueName?: string | undefined;
        path?: string | undefined;
        crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
        enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
        wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
        enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | ("..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties")[] | undefined;
        globalObject?: string | undefined;
        libraryExport?: string | string[] | undefined;
        libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | undefined;
        hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
        module?: any;
        strictModuleErrorHandling?: any;
        umdNamedDefine?: any;
        chunkLoadingGlobal?: any;
        trustedTypes?: any;
        hashDigest?: any;
        hashDigestLength?: any;
        library?: any;
    }>>;
    builtins: z.ZodOptional<z.ZodObject<{
        postcss: z.ZodOptional<z.ZodEffects<z.ZodObject<{
            pxtorem: z.ZodOptional<z.ZodObject<{
                rootValue: z.ZodOptional<z.ZodNumber>;
                unitPrecision: z.ZodOptional<z.ZodNumber>;
                selectorBlackList: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                propList: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                replace: z.ZodOptional<z.ZodBoolean>;
                mediaQuery: z.ZodOptional<z.ZodBoolean>;
                minPixelValue: z.ZodOptional<z.ZodNumber>;
            }, "strict", z.ZodTypeAny, {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            }, {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            }>>;
        }, "strict", z.ZodTypeAny, {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        }, {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        }>, {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        }, {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        postcss?: {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        } | undefined;
    }, {
        postcss?: {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        } | undefined;
    }>>;
    module: z.ZodOptional<z.ZodAny>;
}, "strict", z.ZodTypeAny, {
    target?: false | "async-node" | "web" | "node" | "webworker" | "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "browserslist" | `node${number}` | `async-node${number}` | `node${number}.${number}` | `async-node${number}.${number}` | "electron-main" | `electron${number}-main` | `electron${number}.${number}-main` | "electron-renderer" | `electron${number}-renderer` | `electron${number}.${number}-renderer` | "electron-preload" | `electron${number}-preload` | `electron${number}.${number}-preload` | ("async-node" | "web" | "node" | "webworker" | "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "browserslist" | `node${number}` | `async-node${number}` | `node${number}.${number}` | `async-node${number}.${number}` | "electron-main" | `electron${number}-main` | `electron${number}.${number}-main` | "electron-renderer" | `electron${number}-renderer` | `electron${number}.${number}-renderer` | "electron-preload" | `electron${number}-preload` | `electron${number}.${number}-preload`)[] | undefined;
    mode?: "none" | "development" | "production" | undefined;
    entry?: string | string[] | Record<string, string | string[] | {
        import: (string | string[]) & (string | string[] | undefined);
        runtime?: string | false | undefined;
        chunkLoading?: string | false | undefined;
        wasmLoading?: false | "async-node" | "fetch-streaming" | "fetch" | undefined;
    }> | undefined;
    experiments?: {
        asyncWebAssembly?: boolean | undefined;
        incrementalRebuild?: boolean | {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        } | undefined;
        lazyCompilation?: boolean | undefined;
        outputModule?: boolean | undefined;
        newSplitChunks?: boolean | undefined;
        css?: boolean | undefined;
    } | undefined;
    externals?: any;
    externalsType?: "promise" | "import" | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "script" | "node-commonjs" | undefined;
    externalsPresets?: {
        web?: boolean | undefined;
        node?: boolean | undefined;
        electron?: boolean | undefined;
        electronMain?: boolean | undefined;
        electronPreload?: boolean | undefined;
        electronRenderer?: boolean | undefined;
    } | undefined;
    infrastructureLogging?: {
        appendOnly?: boolean | undefined;
        colors?: boolean | undefined;
        console?: boolean | undefined;
        debug?: any;
        level?: "error" | "none" | "warn" | "info" | "log" | "verbose" | undefined;
        stream?: boolean | {} | undefined;
    } | undefined;
    cache?: boolean | undefined;
    context?: string | undefined;
    dependencies?: string[] | undefined;
    devtool?: false | "cheap-source-map" | "cheap-module-source-map" | "source-map" | "inline-cheap-source-map" | "inline-cheap-module-source-map" | "inline-source-map" | "inline-nosources-cheap-module-source-map" | "inline-nosources-source-map" | "nosources-cheap-source-map" | "nosources-cheap-module-source-map" | "nosources-source-map" | "hidden-nosources-cheap-source-map" | "hidden-nosources-cheap-module-source-map" | "hidden-nosources-source-map" | "hidden-cheap-source-map" | "hidden-cheap-module-source-map" | "hidden-source-map" | "eval-cheap-source-map" | "eval-cheap-module-source-map" | "eval-source-map" | "eval-nosources-cheap-source-map" | "eval-nosources-cheap-module-source-map" | "eval-nosources-source-map" | undefined;
    node?: false | {
        __dirname?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        __filename?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        global?: boolean | "warn" | undefined;
    } | undefined;
    ignoreWarnings?: (RegExp | ((...args: unknown[]) => unknown))[] | undefined;
    watchOptions?: {
        aggregateTimeout?: number | undefined;
        followSymlinks?: boolean | undefined;
        ignored?: string | RegExp | string[] | undefined;
        poll?: number | boolean | undefined;
        stdin?: boolean | undefined;
    } | undefined;
    watch?: boolean | undefined;
    stats?: boolean | "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | {
        all?: boolean | undefined;
        assets?: boolean | undefined;
        chunkGroups?: boolean | undefined;
        chunks?: boolean | undefined;
        colors?: boolean | undefined;
        entrypoints?: boolean | undefined;
        errors?: boolean | undefined;
        errorsCount?: boolean | undefined;
        hash?: boolean | undefined;
        modules?: boolean | undefined;
        preset?: "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | undefined;
        publicPath?: boolean | undefined;
        reasons?: boolean | undefined;
        warnings?: boolean | undefined;
        warningsCount?: boolean | undefined;
        outputPath?: boolean | undefined;
        chunkModules?: boolean | undefined;
        chunkRelations?: boolean | undefined;
        timings?: boolean | undefined;
        builtAt?: boolean | undefined;
        nestedModules?: boolean | undefined;
    } | undefined;
    snapshot?: {
        module?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
        resolve?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
    } | undefined;
    optimization?: {
        moduleIds?: "named" | "deterministic" | undefined;
        minimize?: boolean | undefined;
        minimizer?: ("..." | {
            apply: (...args: unknown[]) => unknown;
        })[] | undefined;
        splitChunks?: false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        } | undefined;
        runtimeChunk?: boolean | "single" | "multiple" | {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        } | undefined;
        removeAvailableModules?: boolean | undefined;
        removeEmptyChunks?: boolean | undefined;
        realContentHash?: boolean | undefined;
        sideEffects?: boolean | "flag" | undefined;
    } | undefined;
    resolve?: ({
        alias?: Record<string, string | false | (string | false)[]> | undefined;
        browserField?: boolean | undefined;
        conditionNames?: string[] | undefined;
        extensions?: string[] | undefined;
        fallback?: Record<string, string | false | (string | false)[]> | undefined;
        mainFields?: string[] | undefined;
        mainFiles?: string[] | undefined;
        modules?: string[] | undefined;
        preferRelative?: boolean | undefined;
        tsConfigPath?: string | undefined;
        fullySpecified?: boolean | undefined;
        exportsFields?: string[] | undefined;
        extensionAlias?: Record<string, string | string[]> | undefined;
    } & {
        byDependency?: Record<string, {
            alias?: Record<string, string | false | (string | false)[]> | undefined;
            browserField?: boolean | undefined;
            conditionNames?: string[] | undefined;
            extensions?: string[] | undefined;
            fallback?: Record<string, string | false | (string | false)[]> | undefined;
            mainFields?: string[] | undefined;
            mainFiles?: string[] | undefined;
            modules?: string[] | undefined;
            preferRelative?: boolean | undefined;
            tsConfigPath?: string | undefined;
            fullySpecified?: boolean | undefined;
            exportsFields?: string[] | undefined;
            extensionAlias?: Record<string, string | string[]> | undefined;
        } & any> | undefined;
    }) | undefined;
    plugins?: (((args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void) | {
        apply: (args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void;
        name?: string | undefined;
    })[] | undefined;
    name?: string | undefined;
    devServer?: {} | undefined;
    output?: {
        iife?: boolean | undefined;
        clean?: boolean | undefined;
        assetModuleFilename?: string | undefined;
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
        chunkLoading?: string | false | undefined;
        enabledChunkLoadingTypes?: string[] | undefined;
        chunkFilename?: string | undefined;
        cssChunkFilename?: string | undefined;
        cssFilename?: string | undefined;
        hotUpdateChunkFilename?: string | undefined;
        hotUpdateMainFilename?: string | undefined;
        webassemblyModuleFilename?: string | undefined;
        hashSalt?: string | undefined;
        filename?: string | undefined;
        sourceMapFilename?: string | undefined;
        importFunctionName?: string | undefined;
        publicPath?: string | undefined;
        uniqueName?: string | undefined;
        path?: string | undefined;
        crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
        enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
        wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
        enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | ("..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties")[] | undefined;
        globalObject?: string | undefined;
        libraryExport?: string | string[] | undefined;
        libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | undefined;
        hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
        module?: any;
        strictModuleErrorHandling?: any;
        umdNamedDefine?: any;
        chunkLoadingGlobal?: any;
        trustedTypes?: any;
        hashDigest?: any;
        hashDigestLength?: any;
        library?: any;
    } | undefined;
    builtins?: {
        postcss?: {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        } | undefined;
    } | undefined;
    module?: any;
}, {
    target?: false | "async-node" | "web" | "node" | "webworker" | "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "browserslist" | `node${number}` | `async-node${number}` | `node${number}.${number}` | `async-node${number}.${number}` | "electron-main" | `electron${number}-main` | `electron${number}.${number}-main` | "electron-renderer" | `electron${number}-renderer` | `electron${number}.${number}-renderer` | "electron-preload" | `electron${number}-preload` | `electron${number}.${number}-preload` | ("async-node" | "web" | "node" | "webworker" | "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "browserslist" | `node${number}` | `async-node${number}` | `node${number}.${number}` | `async-node${number}.${number}` | "electron-main" | `electron${number}-main` | `electron${number}.${number}-main` | "electron-renderer" | `electron${number}-renderer` | `electron${number}.${number}-renderer` | "electron-preload" | `electron${number}-preload` | `electron${number}.${number}-preload`)[] | undefined;
    mode?: "none" | "development" | "production" | undefined;
    entry?: string | string[] | Record<string, string | string[] | {
        import: (string | string[]) & (string | string[] | undefined);
        runtime?: string | false | undefined;
        chunkLoading?: string | false | undefined;
        wasmLoading?: false | "async-node" | "fetch-streaming" | "fetch" | undefined;
    }> | undefined;
    experiments?: {
        asyncWebAssembly?: boolean | undefined;
        incrementalRebuild?: boolean | {
            make?: boolean | undefined;
            emitAsset?: boolean | undefined;
        } | undefined;
        lazyCompilation?: boolean | undefined;
        outputModule?: boolean | undefined;
        newSplitChunks?: boolean | undefined;
        css?: boolean | undefined;
    } | undefined;
    externals?: any;
    externalsType?: "promise" | "import" | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "script" | "node-commonjs" | undefined;
    externalsPresets?: {
        web?: boolean | undefined;
        node?: boolean | undefined;
        electron?: boolean | undefined;
        electronMain?: boolean | undefined;
        electronPreload?: boolean | undefined;
        electronRenderer?: boolean | undefined;
    } | undefined;
    infrastructureLogging?: {
        appendOnly?: boolean | undefined;
        colors?: boolean | undefined;
        console?: boolean | undefined;
        debug?: any;
        level?: "error" | "none" | "warn" | "info" | "log" | "verbose" | undefined;
        stream?: boolean | {} | undefined;
    } | undefined;
    cache?: boolean | undefined;
    context?: string | undefined;
    dependencies?: string[] | undefined;
    devtool?: false | "cheap-source-map" | "cheap-module-source-map" | "source-map" | "inline-cheap-source-map" | "inline-cheap-module-source-map" | "inline-source-map" | "inline-nosources-cheap-module-source-map" | "inline-nosources-source-map" | "nosources-cheap-source-map" | "nosources-cheap-module-source-map" | "nosources-source-map" | "hidden-nosources-cheap-source-map" | "hidden-nosources-cheap-module-source-map" | "hidden-nosources-source-map" | "hidden-cheap-source-map" | "hidden-cheap-module-source-map" | "hidden-source-map" | "eval-cheap-source-map" | "eval-cheap-module-source-map" | "eval-source-map" | "eval-nosources-cheap-source-map" | "eval-nosources-cheap-module-source-map" | "eval-nosources-source-map" | undefined;
    node?: false | {
        __dirname?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        __filename?: boolean | "warn-mock" | "mock" | "eval-only" | undefined;
        global?: boolean | "warn" | undefined;
    } | undefined;
    ignoreWarnings?: (RegExp | ((...args: unknown[]) => unknown))[] | undefined;
    watchOptions?: {
        aggregateTimeout?: number | undefined;
        followSymlinks?: boolean | undefined;
        ignored?: string | RegExp | string[] | undefined;
        poll?: number | boolean | undefined;
        stdin?: boolean | undefined;
    } | undefined;
    watch?: boolean | undefined;
    stats?: boolean | "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | {
        all?: boolean | undefined;
        assets?: boolean | undefined;
        chunkGroups?: boolean | undefined;
        chunks?: boolean | undefined;
        colors?: boolean | undefined;
        entrypoints?: boolean | undefined;
        errors?: boolean | undefined;
        errorsCount?: boolean | undefined;
        hash?: boolean | undefined;
        modules?: boolean | undefined;
        preset?: "none" | "verbose" | "errors-only" | "errors-warnings" | "normal" | undefined;
        publicPath?: boolean | undefined;
        reasons?: boolean | undefined;
        warnings?: boolean | undefined;
        warningsCount?: boolean | undefined;
        outputPath?: boolean | undefined;
        chunkModules?: boolean | undefined;
        chunkRelations?: boolean | undefined;
        timings?: boolean | undefined;
        builtAt?: boolean | undefined;
        nestedModules?: boolean | undefined;
    } | undefined;
    snapshot?: {
        module?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
        resolve?: {
            hash?: boolean | undefined;
            timestamp?: boolean | undefined;
        } | undefined;
    } | undefined;
    optimization?: {
        moduleIds?: "named" | "deterministic" | undefined;
        minimize?: boolean | undefined;
        minimizer?: ("..." | {
            apply: (...args: unknown[]) => unknown;
        })[] | undefined;
        splitChunks?: false | {
            chunks?: RegExp | "async" | "all" | "initial" | undefined;
            minChunks?: number | undefined;
            name?: string | false | undefined;
            minSize?: number | undefined;
            maxSize?: number | undefined;
            maxAsyncSize?: number | undefined;
            maxInitialSize?: number | undefined;
            cacheGroups?: Record<string, false | {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minChunks?: number | undefined;
                name?: string | false | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
                test?: RegExp | undefined;
                priority?: number | undefined;
                enforce?: boolean | undefined;
                reuseExistingChunk?: boolean | undefined;
                type?: string | RegExp | undefined;
            }> | undefined;
            maxAsyncRequests?: number | undefined;
            maxInitialRequests?: number | undefined;
            fallbackCacheGroup?: {
                chunks?: RegExp | "async" | "all" | "initial" | undefined;
                minSize?: number | undefined;
                maxSize?: number | undefined;
                maxAsyncSize?: number | undefined;
                maxInitialSize?: number | undefined;
            } | undefined;
        } | undefined;
        runtimeChunk?: boolean | "single" | "multiple" | {
            name?: string | ((...args: unknown[]) => string | undefined) | undefined;
        } | undefined;
        removeAvailableModules?: boolean | undefined;
        removeEmptyChunks?: boolean | undefined;
        realContentHash?: boolean | undefined;
        sideEffects?: boolean | "flag" | undefined;
    } | undefined;
    resolve?: ({
        alias?: Record<string, string | false | (string | false)[]> | undefined;
        browserField?: boolean | undefined;
        conditionNames?: string[] | undefined;
        extensions?: string[] | undefined;
        fallback?: Record<string, string | false | (string | false)[]> | undefined;
        mainFields?: string[] | undefined;
        mainFiles?: string[] | undefined;
        modules?: string[] | undefined;
        preferRelative?: boolean | undefined;
        tsConfigPath?: string | undefined;
        fullySpecified?: boolean | undefined;
        exportsFields?: string[] | undefined;
        extensionAlias?: Record<string, string | string[]> | undefined;
    } & {
        byDependency?: Record<string, {
            alias?: Record<string, string | false | (string | false)[]> | undefined;
            browserField?: boolean | undefined;
            conditionNames?: string[] | undefined;
            extensions?: string[] | undefined;
            fallback?: Record<string, string | false | (string | false)[]> | undefined;
            mainFields?: string[] | undefined;
            mainFiles?: string[] | undefined;
            modules?: string[] | undefined;
            preferRelative?: boolean | undefined;
            tsConfigPath?: string | undefined;
            fullySpecified?: boolean | undefined;
            exportsFields?: string[] | undefined;
            extensionAlias?: Record<string, string | string[]> | undefined;
        } & any> | undefined;
    }) | undefined;
    plugins?: (((args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void) | {
        apply: (args_0: import("../../compiler").Compiler, ...args_1: unknown[]) => void;
        name?: string | undefined;
    })[] | undefined;
    name?: string | undefined;
    devServer?: {} | undefined;
    output?: {
        iife?: boolean | undefined;
        clean?: boolean | undefined;
        assetModuleFilename?: string | undefined;
        auxiliaryComment?: string | {
            amd?: string | undefined;
            commonjs?: string | undefined;
            commonjs2?: string | undefined;
            root?: string | undefined;
        } | undefined;
        chunkFormat?: false | "module" | "commonjs" | "array-push" | undefined;
        chunkLoading?: string | false | undefined;
        enabledChunkLoadingTypes?: string[] | undefined;
        chunkFilename?: string | undefined;
        cssChunkFilename?: string | undefined;
        cssFilename?: string | undefined;
        hotUpdateChunkFilename?: string | undefined;
        hotUpdateMainFilename?: string | undefined;
        webassemblyModuleFilename?: string | undefined;
        hashSalt?: string | undefined;
        filename?: string | undefined;
        sourceMapFilename?: string | undefined;
        importFunctionName?: string | undefined;
        publicPath?: string | undefined;
        uniqueName?: string | undefined;
        path?: string | undefined;
        crossOriginLoading?: false | "anonymous" | "use-credentials" | undefined;
        enabledWasmLoadingTypes?: ("..." | "async-node" | "fetch-streaming" | "fetch")[] | undefined;
        wasmLoading?: false | "..." | "async-node" | "fetch-streaming" | "fetch" | undefined;
        enabledLibraryTypes?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | ("..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties")[] | undefined;
        globalObject?: string | undefined;
        libraryExport?: string | string[] | undefined;
        libraryTarget?: "..." | "jsonp" | "var" | "module" | "assign" | "this" | "window" | "self" | "global" | "commonjs" | "commonjs2" | "commonjs-module" | "commonjs-static" | "amd" | "amd-require" | "umd" | "umd2" | "system" | "assign-properties" | undefined;
        hashFunction?: string | ((...args: unknown[]) => unknown) | undefined;
        module?: any;
        strictModuleErrorHandling?: any;
        umdNamedDefine?: any;
        chunkLoadingGlobal?: any;
        trustedTypes?: any;
        hashDigest?: any;
        hashDigestLength?: any;
        library?: any;
    } | undefined;
    builtins?: {
        postcss?: {
            pxtorem?: {
                rootValue?: number | undefined;
                unitPrecision?: number | undefined;
                selectorBlackList?: string[] | undefined;
                propList?: string[] | undefined;
                replace?: boolean | undefined;
                mediaQuery?: boolean | undefined;
                minPixelValue?: number | undefined;
            } | undefined;
        } | undefined;
    } | undefined;
    module?: any;
}>;
//# sourceMappingURL=index.d.ts.map